package com.ruoyi.tcZz.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.tcZz.domain.reponse.*;
import com.ruoyi.tcZz.service.ScreenService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * 大屏接口
 */
@Api(tags = "大屏接口")
@RestController
@RequestMapping("/tcZz/networkEcology/screen")
public class ScreenController extends BaseController {
    /**
     * 服务层
     */
    @Autowired
    private ScreenService screenService;

    /**
     * 大屏监管对象
     */

    @ApiOperation(value = "大屏监管对象", response = ScreenSupervisionResponse.class)
    @GetMapping("/screensupervision")
    public AjaxResult screenSupervision() {
        return AjaxResult.success(screenService.getScreenSupervision());
    }


    /**
     * 大屏数据来源
     */

    @ApiOperation(value = "大屏数据来源", response = ScreenSourceResponse.class)
    @GetMapping("/screensource")
    public AjaxResult screenSource() {
        return AjaxResult.success(screenService.getScreenSource());
    }


    /**
     * 大屏舆情报告
     */

    @ApiOperation(value = "舆情报告", response = ScreenOpinionReportResponse.class)
    @GetMapping("/screenopinionreport")
    public AjaxResult screenOpinionReport() {
        return AjaxResult.success(screenService.getScreenOpinionReport());
    }




    /**
     * 网评文章
     */

    @ApiOperation(value = "网评文章", response = ScreenArticlesResponse.class)
    @GetMapping("/screenarticles")
    public AjaxResult screenArticles() {
        return AjaxResult.success(screenService.getScreenArticles());
    }

    /**
     * 清郎专项行动数据统计
     */

    @ApiOperation(value = "清郎专项行动数据统计", response = ScreenQinglangResponse.class)
    @GetMapping("/screenqinglang")
    public AjaxResult screenQinglang() {
        ScreenQinglangResponse screenQinglangResponse=new ScreenQinglangResponse();
        List<ScreenQinglangWeifanResponse> list= screenService.getScreenQinglang();
        List<ScreenQinglangWeiguiResponse> list1= screenService.getScreenQinglangWeigui();
        screenQinglangResponse.setScreenQinglangWeifanResponse(list);
        screenQinglangResponse.setScreenQinglangWeiguiResponse(list1);
        return AjaxResult.success(screenQinglangResponse);
    }



    /**
     * 属地通报
     */

    @ApiOperation(value = "属地通报", response = ScreenTerritorialResponse.class)
    @GetMapping("/screenterritorial")
    public AjaxResult screenTerritorial() {
        return AjaxResult.success(screenService.getScreenTerritorial());
    }




    /**
     * 部门通报
     */

    @ApiOperation(value = "部门通报", response = ScreenDeptResponse.class)
    @GetMapping("/screendept")
    public AjaxResult screeDept() {
        return AjaxResult.success(screenService.getScreenDept());
    }


    /**
     * 举报地图
     */

    @ApiOperation(value = "举报地图", response = ScreenReportMapResponse.class)
    @GetMapping("/screenreportmap")
    public AjaxResult screenReportMap() {
        return AjaxResult.success(screenService.getScreenReportMap());
    }




    /**
     * 部门转办
     */

    @ApiOperation(value = "部门转办", response = ScreenDepartmentResponse.class)
    @GetMapping("/screendepartment")
    public AjaxResult screenDepartment() {
        return AjaxResult.success(screenService.getScreenDepartment());
    }
}
