package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * B站、小红书对象 tc_bzhan
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("B站、小红书对象")
public class TcBzhan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
//    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 账号ID */
    @Excel(name = "账号ID")
    @ApiModelProperty(value = "账号ID")
    private String zhId;

    /** 网址 */
    @Excel(name = "网址")
    @ApiModelProperty(value = "网址")
    private String url;

    /** 类型 */
    @Excel(name = "1.B站 2.小红书",readConverterExp = "1=B站,2=小红书",combo = "B站,小红书")
    @ApiModelProperty(value = "1.B站 2.小红书,1=B站,2=小红书")
    private Long type;
}
