package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 等保单位对象 tc_dbdw
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("等保单位对象")
public class TcDbdw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称")
    @Excel(name = "单位名称")
    private String unitName;

    /** 邮政编码 */
    @ApiModelProperty(value = "邮政编码")
    @Excel(name = "邮政编码")
    private String postalCode;

    /** 单位地址—省 */
    @ApiModelProperty(value = "单位地址—省")
    @Excel(name = "单位地址—省")
    private String addressProvince;

    /** 单位地址—市 */
    @ApiModelProperty(value = "单位地址—市")
    @Excel(name = "单位地址—市")
    private String addressCity;

    /** 单位地址—区/县 */
    @ApiModelProperty(value = "单位地址—区/县")
    @Excel(name = "单位地址—区/县")
    private String addressCounty;

    /** 单位地址 */
    @ApiModelProperty(value = "单位地址")
    @Excel(name = "单位地址")
    private String unitAddress;

    /** 行政区域代码 */
    @ApiModelProperty(value = "行政区域代码")
    @Excel(name = "行政区域代码")
    private String countyCode;

    /** 隶属关系 */
    @ApiModelProperty(value = "隶属关系")
    @Excel(name = "隶属关系")
    private String lsGx;

    /** 单位类型 */
    @ApiModelProperty(value = "单位类型")
    @Excel(name = "单位类型")
    private String unitType;

    /** 行业类型 */
    @ApiModelProperty(value = "行业类型")
    @Excel(name = "行业类型")
    private String industryType;

    /** 单位责任人—姓名 */
    @ApiModelProperty(value = "单位责任人—姓名")
    @Excel(name = "单位责任人—姓名")
    private String fzrName;

    /** 单位责任人—职务 */
    @ApiModelProperty(value = "单位责任人—职务")
    @Excel(name = "单位责任人—职务")
    private String fzrDuty;

    /** 单位责任人—办公电话 */
    @ApiModelProperty(value = "单位责任人—办公电话")
    @Excel(name = "单位责任人—办公电话")
    private String fzrTel;

    /** 单位责任人—电子邮件 */
    @ApiModelProperty(value = "单位责任人—电子邮件")
    @Excel(name = "单位责任人—电子邮件")
    private String fzrEmail;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;


}
