package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 等保系统对象 tc_dbxt
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("等保系统对象")
public class TcDbxt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 系统名称 */
    @ApiModelProperty(value = "系统名称")
    @Excel(name = "系统名称")
    private String systemName;

    /** 备案编号 */
    @ApiModelProperty(value = "备案编号")
    @Excel(name = "备案编号")
    private String beianNum;

    /** 信息系统安全保护等级 */
    @ApiModelProperty(value = "信息系统安全保护等级")
    @Excel(name = "信息系统安全保护等级")
    private String safetyLevel;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称")
    @Excel(name = "单位名称")
    private String unitName;

    /** 业务类型 */
    @ApiModelProperty(value = "业务类型")
    @Excel(name = "业务类型")
    private String businessType;

    /** 服务范围 */
    @ApiModelProperty(value = "服务范围")
    @Excel(name = "服务范围")
    private String serviceArea;

    /** 服务对象 */
    @ApiModelProperty(value = "服务对象")
    @Excel(name = "服务对象")
    private String serviceObj;

    /** 覆盖范围 */
    @ApiModelProperty(value = "覆盖范围")
    @Excel(name = "覆盖范围")
    private String coverageArea;

    /** 网络性质 */
    @ApiModelProperty(value = "网络性质")
    @Excel(name = "网络性质")
    private String networkProperty;

    /** 系统互联情况 */
    @ApiModelProperty(value = "系统互联情况")
    @Excel(name = "系统互联情况")
    private String systemHlql;

    /** 投入运行使用日期 */
    @Excel(name = "投入运行使用日期", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "投入运行使用日期")
    private Date startTime;

    /** 系统是否分级 */
    @ApiModelProperty(value = "系统是否分级")
    @Excel(name = "系统是否分级")
    private String isLevel;

    /** 系统定级时间 */
    @Excel(name = "系统定级时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "系统定级时间")
    private Date systemDjtime;

    /** 专家评审情况 */
    @ApiModelProperty(value = "专家评审情况")
    @Excel(name = "专家评审情况")
    private String psQk;

    /** 是否有主管部门 */
    @ApiModelProperty(value = "是否有主管部门")
    @Excel(name = "是否有主管部门")
    private String isHavedep;

    /** 系统定级报告 */
    @ApiModelProperty(value = "系统定级报告")
    @Excel(name = "系统定级报告")
    private String systemDjbg;

    /** 系统状态 */
    @ApiModelProperty(value = "系统状态")
    @Excel(name = "系统状态")
    private String systemState;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;


}
