package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 上级媒体、本地发布对象 tc_fb
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("上级媒体、本地发布对象")
public class TcFb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 类型 */
    @ApiModelProperty(value = "类型,1=上级媒体,2=本地发布")
    @Excel(name = "类型",readConverterExp = "1=上级媒体,2=本地发布",combo = "上级媒体,本地发布")
    private Long type;

    /** 标题 */
    @ApiModelProperty(value = "标题")
    @Excel(name = "标题")
    private String title;

    /** 来源 */
    @ApiModelProperty(value = "来源")
    @Excel(name = "来源")
    private String source;

    /** 发布时间 */
    @ApiModelProperty(value = "发布时间")
    @Excel(name = "发布时间")
    private Date dateTime;

    /** 网址 */
    @ApiModelProperty(value = "网址")
    @Excel(name = "网址")
    private String url;


}
