package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 举报地图对象 tc_jbmap
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("举报地图对象")
public class TcJbmap extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
//    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 被举报对象 */
    @Excel(name = "被举报对象")
    @ApiModelProperty(value = "被举报对象")
    private String jbObj;

    /** 苏州编号 */
    @Excel(name = "苏州编号")
    @ApiModelProperty(value = "苏州编号")
    private String number;

    /** 举报时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "举报时间", width = 30, dateFormat = "yyyy-MM-dd")
    @ApiModelProperty(value = "举报时间")
    private Date jbTime;

    /** 地址 */
    @Excel(name = "地址")
    @ApiModelProperty(value = "地址")
    private String address;

    /** 举报内容 */
    @Excel(name = "举报内容")
    @ApiModelProperty(value = "举报内容")
    private String content;

    /** 是否处置 */
    @Excel(name = "1.未处置 2.已处置",readConverterExp = "1=未处置,2=已处置",combo = "未处置,已处置")
    @ApiModelProperty(value = "1.未处置 2.已处置,1=未处置,2=已处置")
    private Long state;

    /** 经度 */
    @Excel(name = "经度")
    @ApiModelProperty(value = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    @ApiModelProperty(value = "纬度")
    private String latitude;
}
