package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 硬探针、软探针对象 tc_sjly
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("硬探针、软探针对象")
public class TcSjly extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 类型 */
    @ApiModelProperty(value = "类型,1=硬探针,2=软探针")
    @Excel(name = "类型",readConverterExp = "1=硬探针,2=软探针",combo = "硬探针,软探针")
    private Long type;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 资产名称 */
    @ApiModelProperty(value = "资产名称")
    @Excel(name = "资产名称")
    private String zcName;

    /** 所属单位 */
    @ApiModelProperty(value = "所属单位")
    @Excel(name = "所属单位")
    private String affUnit;

    /** IP地址 */
    @ApiModelProperty(value = "IP地址")
    @Excel(name = "IP地址")
    private String sysyemIp;

    /** 操作系统 */
    @ApiModelProperty(value = "操作系统")
    @Excel(name = "操作系统")
    private String os;

    /** 版本 */
    @ApiModelProperty(value = "版本")
    @Excel(name = "版本")
    private String versions;

}
