package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 通报处置对象 tc_tbcz
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("通报处置对象")
public class TcTbcz extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
//    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称")
    @Excel(name = "单位名称")
    private String unitName;

    /** 目标IP/域名 */
    @ApiModelProperty(value = "目标IP/域名")
    @Excel(name = "目标IP/域名")
    private String ipAddress;

    /** 处置情况 */
    @ApiModelProperty(value = "处置情况")
    @Excel(name = "处置情况")
    private String czState;

    /** 文件名称 */
    @ApiModelProperty(value = "文件名称")
    @Excel(name = "文件名称")
    private String fileName;

    /** 文件路径(完整路径) */
    @ApiModelProperty(value = "文件路径(完整路径)")
    @Excel(name = "文件路径(完整路径)")
    private String fileUrl;


}
