package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 通报完成情况对象 tc_tbwc
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("通报完成情况对象")
public class TcTbwc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 时间名称 */
    @ApiModelProperty(value = "时间名称")
    @Excel(name = "时间名称")
    private String timeName;

    /** 通报数量 */
    @ApiModelProperty(value = "通报数量")
    @Excel(name = "通报数量")
    private String tbCount;

    /** 完成期数 */
    @ApiModelProperty(value = "完成期数")
    @Excel(name = "完成期数")
    private String overCount;

    /** 完成比例 */
    @ApiModelProperty(value = "完成比例")
    @Excel(name = "完成比例")
    private String overScale;

    /** 年份 */
    @Excel(name = "年份", dateFormat = "yyyy-MM-dd")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "年份")
    private Date year;
}
