package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 系统监测对象 tc_xtjc
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("系统监测对象")

public class TcXtjc extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
    @ApiModelProperty(value = "区域,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    @Excel(name = "区域",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    private String areaId;

    /** 启用/禁用 */
    @ApiModelProperty(value = "启用/禁用,1=启用,2=禁用")
    @Excel(name = "启用/禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    private Long isStatus;

    /** 单位名称 */
    @ApiModelProperty(value = "单位名称")
    @Excel(name = "单位名称")
    private String unitName;

    /** 网站/系统名称 */
    @ApiModelProperty(value = "网站/系统名称")
    @Excel(name = "网站/系统名称")
    private String systemName;

    /** 网站地址（url） */
    @ApiModelProperty(value = "网站地址（url）")
    @Excel(name = "网站地址（url）")
    private String systemUrl;

    /** IP地址 */
    @ApiModelProperty(value = "IP地址")
    @Excel(name = "IP地址")
    private String sysyemIp;

    /** 是否关注重点 */
    @ApiModelProperty(value = "是否关注重点")
    @Excel(name = "是否关注重点")
    private String isFocus;

    /** 等保级别 */
    @ApiModelProperty(value = "等保级别")
    @Excel(name = "等保级别")
    private String level;

}
