package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 舆情信息量统计明細对象 tc_yqxxltj
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("舆情信息量统计明細对象")
public class TcYqxxltj extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域id */
    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 类型 */
    @Excel(name = "类型",readConverterExp = "1=本地相关信息,2=本地敏感信息,3=推送预警信息,4=聚焦本地媒体",combo = "本地相关信息,本地敏感信息,推送预警信息,聚焦本地媒体")
    @ApiModelProperty(value = "类型,1=本地相关信息,2=本地敏感信息,3=推送预警信息,4=聚焦本地媒体")
    private Long type;

    /** 标题 */
    @Excel(name = "标题")
    @ApiModelProperty(value = "标题")
    private String title;

    /** 来源 */
    @Excel(name = "来源")
    @ApiModelProperty(value = "来源")
    private String source;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty(value = "日期")
    @Excel(name = "日期", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date dateTime;

    /** 内容 */
    @Excel(name = "内容")
    @ApiModelProperty(value = "内容")
    private String content;
}
