package com.ruoyi.tcZz.domain;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 重点企业名录对象 tc_zdqyml
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Data
@ApiModel("重点企业名录对象")
public class TcZdqyml extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "id")
    private Long id;

    /** 区域 */
//    @Excel(name = "区域id",readConverterExp = "1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城",combo = "太仓市,城厢镇,沙溪镇,浏河镇,浮桥镇,璜泾镇,双凤镇,娄东街道,陆渡街道,科教新城")
    @ApiModelProperty(value = "区域id,1=太仓市,2=城厢镇,3=沙溪镇,4=浏河镇,5=浮桥镇,6=璜泾镇,7=双凤镇,8=娄东街道,9=陆渡街道,10=科教新城")
    private String areaId;

    /** 启用/禁用 */
    @Excel(name = "1.启用 2.禁用",readConverterExp = "1=启用,2=禁用",combo = "启用,禁用")
    @ApiModelProperty(value = "1.启用 2.禁用,1=启用,2=禁用")
    private Long isStatus;

    /** 企业名称 */
    @Excel(name = "企业名称")
    @ApiModelProperty(value = "企业名称")
    private String enterpriseName;

    /** 企业类型 */
    @Excel(name = "企业类型")
    @ApiModelProperty(value = "企业类型")
    private String enterpriseType;

    /** 互联网业务 */
    @Excel(name = "互联网业务")
    @ApiModelProperty(value = "互联网业务")
    private String netYw;

    /** 监管部门 */
    @Excel(name = "监管部门")
    @ApiModelProperty(value = "监管部门")
    private String depJg;

    /** 单位地址 */
    @Excel(name = "单位地址")
    @ApiModelProperty(value = "单位地址")
    private String unitAddress;

    /** 联系人 */
    @Excel(name = "联系人")
    @ApiModelProperty(value = "联系人")
    private String linkMan;

    /** 联系电话 */
    @Excel(name = "联系电话")
    @ApiModelProperty(value = "联系电话")
    private String linkTel;

    /** 网址或平台名称 */
    @Excel(name = "网址或平台名称")
    @ApiModelProperty(value = "网址或平台名称")
    private String url;

    /** 域名 */
    @Excel(name = "域名")
    @ApiModelProperty(value = "域名")
    private String dns;
}
