package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcDbxt;
import org.apache.ibatis.annotations.Param;

/**
 * 等保系统Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface TcDbxtMapper 
{
    /**
     * 查询等保系统
     * 
     * @param id 等保系统主键
     * @return 等保系统
     */
    public TcDbxt selectTcDbxtById(Long id);

    /**
     * 查询等保系统列表
     * 
     * @param tcDbxt 等保系统
     * @return 等保系统集合
     */
    public List<TcDbxt> selectTcDbxtList(TcDbxt tcDbxt);

    /**
     * 新增等保系统
     * 
     * @param tcDbxt 等保系统
     * @return 结果
     */
    public int insertTcDbxt(TcDbxt tcDbxt);

    /**
     * 修改等保系统
     * 
     * @param tcDbxt 等保系统
     * @return 结果
     */
    public int updateTcDbxt(TcDbxt tcDbxt);

    /**
     * 删除等保系统
     * 
     * @param id 等保系统主键
     * @return 结果
     */
    public int deleteTcDbxtById(Long id);

    /**
     * 批量删除等保系统
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcDbxtByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
