package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcVx;

/**
 * 微信Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcVxService 
{
    /**
     * 查询微信
     * 
     * @param id 微信主键
     * @return 微信
     */
    public TcVx selectTcVxById(Long id);

    /**
     * 查询微信列表
     * 
     * @param tcVx 微信
     * @return 微信集合
     */
    public List<TcVx> selectTcVxList(TcVx tcVx);

    /**
     * 新增微信
     * 
     * @param tcVx 微信
     * @return 结果
     */
    public int insertTcVx(TcVx tcVx);

    /**
     * 修改微信
     * 
     * @param tcVx 微信
     * @return 结果
     */
    public int updateTcVx(TcVx tcVx);

    /**
     * 批量删除微信
     * 
     * @param ids 需要删除的微信主键集合
     * @return 结果
     */
    public int deleteTcVxByIds(Long[] ids);

    /**
     * 删除微信信息
     * 
     * @param id 微信主键
     * @return 结果
     */
    public int deleteTcVxById(Long id);


    /**
     * 导入信信息
     *
     * @return 结果
     */
    public String importUser(List<TcVx> tcVxList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
