package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcWpy;

/**
 * 网评员Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWpyService 
{
    /**
     * 查询网评员
     * 
     * @param id 网评员主键
     * @return 网评员
     */
    public TcWpy selectTcWpyById(Long id);

    /**
     * 查询网评员列表
     * 
     * @param tcWpy 网评员
     * @return 网评员集合
     */
    public List<TcWpy> selectTcWpyList(TcWpy tcWpy);

    /**
     * 新增网评员
     * 
     * @param tcWpy 网评员
     * @return 结果
     */
    public int insertTcWpy(TcWpy tcWpy);

    /**
     * 修改网评员
     * 
     * @param tcWpy 网评员
     * @return 结果
     */
    public int updateTcWpy(TcWpy tcWpy);

    /**
     * 批量删除网评员
     * 
     * @param ids 需要删除的网评员主键集合
     * @return 结果
     */
    public int deleteTcWpyByIds(Long[] ids);

    /**
     * 删除网评员信息
     * 
     * @param id 网评员主键
     * @return 结果
     */
    public int deleteTcWpyById(Long id);


    /**
     * 导入网评员信息
     *
     * @return 结果
     */
    public String importUser(List<TcWpy> tcWpyList);


    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
