package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcZxyh;

/**
 * 最新隐患Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcZxyhService 
{
    /**
     * 查询最新隐患
     * 
     * @param id 最新隐患主键
     * @return 最新隐患
     */
    public TcZxyh selectTcZxyhById(Long id);

    /**
     * 查询最新隐患列表
     * 
     * @param tcZxyh 最新隐患
     * @return 最新隐患集合
     */
    public List<TcZxyh> selectTcZxyhList(TcZxyh tcZxyh);

    /**
     * 新增最新隐患
     * 
     * @param tcZxyh 最新隐患
     * @return 结果
     */
    public int insertTcZxyh(TcZxyh tcZxyh);

    /**
     * 修改最新隐患
     * 
     * @param tcZxyh 最新隐患
     * @return 结果
     */
    public int updateTcZxyh(TcZxyh tcZxyh);

    /**
     * 批量删除最新隐患
     * 
     * @param ids 需要删除的最新隐患主键集合
     * @return 结果
     */
    public int deleteTcZxyhByIds(Long[] ids);

    /**
     * 删除最新隐患信息
     * 
     * @param id 最新隐患主键
     * @return 结果
     */
    public int deleteTcZxyhById(Long id);



    /**
     * 导入最新隐患信息
     *
     * @return 结果
     */
    public String importUser(List<TcZxyh> tcZxyhList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
